Subject: Re: Why doesn't git commit -a track new files

From: Michael J Gruber <[email-masked]>
Date: Thu, 24 Feb 2011 17:01:55 +0100

Jeff King venit, vidit, dixit 24.02.2011 17:00:
> On Thu, Feb 24, 2011 at 04:54:02PM +0100, Michael J Gruber wrote:
> 
>>> But as you mentioned, it is sadly not as trivial as just adding a
>>> new way to call "git add". So I think nobody has simply cared
>>> enough to implement it to date.
>> 
>> How about this program:
>> 
>> - refactor add, commit to share the "add parts"
> 
> Sounds good.
> 
>> - homogenize interface: replace "add -u" by "add -a" (hidden 
>> compatibility thingy of course)
> 
> I like it.
> 
>> - hom. interface: allow "-a pathspec" for commit
> 
> What would it do? It would just behave like "git commit -i
> pathspec"?

It should do what "-u pathspec" does for add: limit "all tracked" to the
pathspec. I know it's the same as without "-a", but why bail out on it?

> 
>> - have commit -A
> 
> Sounds good.
> 
>> Oh, and do "commit -n" what one would expect [1.8.0] :)
> 
> Yeah, I like that, too.
> 
> Are you volunteering to work on it all? :)

I've done all the careful planning already, laid out in nice steps. Now
it's your time ;)

OK, I'll do "-n".

Michael